Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.transport.publickey
Class SshKeyPairFactory

    java.lang.Object
      com.sshtools.j2ssh.transport.publickey.SshKeyPairFactory

public class SshKeyPairFactory
extends java.lang.Object

DOCUMENT ME!

Constructor Summary
`protected` | `SshKeyPairFactory()` Creates a new SshKeyPairFactory object.

Method Summary
`static SshPrivateKey` | `decodePrivateKey(byte[] encoded)` DOCUMENT ME!
`static SshPublicKey` | `decodePublicKey(byte[] encoded)` DOCUMENT ME!
`static java.lang.String` | `getDefaultPublicKey()` DOCUMENT ME!
`static java.util.List` | `getSupportedKeys()` DOCUMENT ME!
`static void` | `initialize()` DOCUMENT ME!
`static SshKeyPair` | `newInstance(java.lang.String methodName)` DOCUMENT ME!
`static boolean` | `supportsKey(java.lang.String algorithm)` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SshKeyPairFactory

    protected SshKeyPairFactory()

  Creates a new SshKeyPairFactory object.

Method Detail

### initialize

    public static void initialize()

  DOCUMENT ME!

### getDefaultPublicKey

    public static java.lang.String getDefaultPublicKey()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getSupportedKeys

    public static java.util.List getSupportedKeys()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### newInstance

    public static SshKeyPair newInstance(java.lang.String methodName)
                                  throws AlgorithmNotSupportedException

  DOCUMENT ME!

  Parameters:
    `methodName` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `AlgorithmNotSupportedException` - DOCUMENT ME!

### supportsKey

    public static boolean supportsKey(java.lang.String algorithm)

  DOCUMENT ME!

  Parameters:
    `algorithm` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### decodePrivateKey

    public static SshPrivateKey decodePrivateKey(byte[] encoded)
                                          throws InvalidSshKeyException,
                                                 AlgorithmNotSupportedException

  DOCUMENT ME!

  Parameters:
    `encoded` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `InvalidSshKeyException` - DOCUMENT ME!
    `AlgorithmNotSupportedException` - DOCUMENT ME!

### decodePublicKey

    public static SshPublicKey decodePublicKey(byte[] encoded)
                                        throws InvalidSshKeyException,
                                               AlgorithmNotSupportedException

  DOCUMENT ME!

  Parameters:
    `encoded` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `InvalidSshKeyException` - DOCUMENT ME!
    `AlgorithmNotSupportedException` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD